<ion-header>
  <ion-navbar color="bluegreen">
    <ion-title>Reset Password</ion-title>
  </ion-navbar>
</ion-header>

<ion-content padding class="auth-page">
  
  <form [formGroup]="resetPasswordForm" (submit)="resetPassword()" novalidate>
    <ion-item class="Back" [class.invalid]="!resetPasswordForm.controls.email.valid && resetPasswordForm.controls.email.touched"
      [class.valid]="resetPasswordForm.controls.email.valid && resetPasswordForm.controls.email.touched">
      <ion-label color="light" floating>Email</ion-label>
      <ion-input formControlName="email" type="email">
      </ion-input>
    </ion-item>
    <ion-item class="error-message" *ngIf="!resetPasswordForm.controls.email.valid &&
     resetPasswordForm.controls.email.touched">
      <p>Please enter a valid email address.</p>
    </ion-item>
<br>
<br>
<br>
<br>
    <button ion-button block round type="submit" [disabled]="!resetPasswordForm.valid">
      Reset Your Password
    </button>
  </form>

</ion-content>